Bug 151379 - G4/G5 generic video scrambled
G4/G5 generic video scrambled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: fedora-ppc FC5Target
  Show dependency treegraph
 
Reported: 2005-03-17 09:05 EST by Andrew Cagney
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-04 21:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
X.log in /tmp/ramfs (14.67 KB, text/plain)
2005-04-19 11:15 EDT, Zoltan Kota
no flags Details

  None (edit)
Description Andrew Cagney 2005-03-17 09:05:02 EST
System:  Mac G4; Mac G5.

Description of problem:

The generic vided looks like someone got the byte or bit order backwards: the
colour [eh] looks like reverse video; and the text pixles are locally scrambled
(I can recognize that something is a letter, but I've no idea which one).

Version-Release number of selected component (if applicable):

What ever was shipped with FC 4 test 1

How reproducible:

Everytime.

Steps to Reproduce:

1. Use the generic video on the above macs.
Comment 1 David Woodhouse 2005-03-17 09:22:05 EST
Is this a console problem, or in X? Precisely what hardware (video card,
CRT/LCD) is this seen with? Is it fixed by running the latest version of
Xautoconfig?
Comment 2 Mike A. Harris 2005-04-11 06:11:42 EDT
Please file a bug in freedesktop.org bugzilla, so the other PPC/X developers
are aware of the issue, and it will get fixed in upstream CVS and included
in the 6.8.3 release.

    http://bugs.freedesktop.org in the "xorg" component

Once you've filed the X.org report, please paste the URL here, so we can
track the issue there, and discuss with Xorg PPC developers centrally.
Once a fix gets checked into CVS on the stable branch, we'll review it
for consideration in our rpm packaging in future builds as well.

Thanks in advance.
Comment 3 Mike A. Harris 2005-04-11 06:12:22 EDT
Setting status to "NEEDINFO", awaiting upstream bug URL for tracking.
Comment 4 Zoltan Kota 2005-04-19 11:12:58 EDT
(In reply to comment #1)
> Is this a console problem, or in X? Precisely what hardware (video card,

It is the same for me when I tried to install FC4 test2 on an iMac G5 machine in
graphical mode. The welcome screen (or whatever) comes up, but it is unusable. 
(I couldn't try X after a text installation yet. First I should backup MacOSX
and repartition the disk)
My hardware: iMac PowerPC G5, Nvidia GeForce FX 5200, (LCD 1440x900)
Anaconda says:
Probing for video card: NVIDIA GeForce FX (generic)
Probing for monitor type: Unknown monitor
...  X server started successfully.
Comment 5 Zoltan Kota 2005-04-19 11:15:02 EDT
Created attachment 113363 [details]
X.log in /tmp/ramfs
Comment 6 Mike A. Harris 2005-05-04 21:23:32 EDT
If an upstream bug report has been filed for this issue, and you'd like
the X Devel team to track it for fixes, please update the bug with the
upstream bug URL, and reopen the bug and we will add it to our internal
tracker.

Setting status to WONTFIX.
Comment 7 Andrew Cagney 2005-05-06 11:02:15 EDT
(In reply to comment #6)
> If an upstream bug report has been filed for this issue, and you'd like
> the X Devel team to track it for fixes, please update the bug with the
> upstream bug URL, and reopen the bug and we will add it to our internal
> tracker.

I would if I could find the bug! :-)
Comment 8 David Woodhouse 2005-05-06 11:15:02 EDT
Does this still happen with the current kernel? 

Note You need to log in before you can comment on or make changes to this bug.